<!-- -*- mode: HTML -*- -->
<HTML>
<HEAD>

<!-- Please preserve look n' feel! -->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">

<TITLE>List of frame accessors</TITLE>

<META name="description" content="Description of frame accessors">

<META name="keywords" content="macros, commands, user">

</HEAD>

<BODY BGCOLOR="#DDDDDD" TEXT="#000000">


<h1><center>List of Frame Accessors</center></h1>
<p>Inferometer data is written out as frames.  Frames are composed of structures. Not all possible structures
appear in a particular frame. The attributes listed here are in
alphabetical order and does not implied their order in the frame.
<p><font size=-1>For detailed description please refer to Frame Specification documents.</font></p>

<h2>Structure: Frame Header - FrameH</h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;GTimeN</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Frame start time residual in GPS seconds</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;GTimeS</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Frame start time in GPS nanoseconds</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;ULeapS</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Number of leapseconds between GPS/TAI and UTC</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;dataQuality</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;32bit word to denote quality of data</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;dt</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Frame length in seconds</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;frame</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Frame number, increase monotonically for run</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;run</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Run number</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
	</tbody>
    </table>
    
 <h2>Structure: ADC Data - FrAdcData</h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;bias</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;DC bias on cahnnel</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;channelGroup</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Channel grouping number</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;channelNumber</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Channel number</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;comment</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Comment</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;dataValid</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Data valid flag</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;fShift</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;frequency in the original data that corresponds to 0 Hz in heterodyned serices </td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;nBits</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Number of bits in A/D output</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;phase</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Phase of heterodyning signal at start</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;sampleRate</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Data acquisition rate</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;slope</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;ADC calibration</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;timeOffset</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Offset of 1st sample relative to frame start time</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center><font color='red'>No</font></center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;units</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;ADC calibration input units</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center><font color='red'>No</font></center></td>
		</tr>
	</tbody>
    </table>
    
<h2>Structure: Detector - FrDector </h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;armXaltitude</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Altitude angle of X arm</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;armXazimuth</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Orientation of X arm</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;armXmidpoint</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Distance between the detector vertex and middle of X cavity</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;armYaltitude</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Altitude angle of Y arm</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;armYazimuth</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Orientation of Y arm</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;armYmidpoint</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Distance between the detector vertex and middle of Y cavity</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;elevation</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Vertex elevation</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;latitude</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Detector vertex latitude</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;localTime</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Local seasonal time (UTC)</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;longitude</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Detector vertex longtitude</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;prefix</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Channel prefix for this detector</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
	</tbody>
    </table>
    
<h2>Structure: Event - FrEvent </h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;GTimeN</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;GPS time residual of event in nanoseconds</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;GTimeS</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;residual GPS time in seconds</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;amplitude</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Continuous output amplitude returned by event</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;comment</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Comment</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;eventStatus</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Defined by event search algorithm</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;inputs</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Input channel and filter parameters</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;nParam</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Number of additional event parameters</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center><font color='red'>No</font></center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;parameterNames</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Array of parameter names</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center><font color='red'>No</font></center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;parameters</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Array of additional event parameters</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center><font color='red'>No</font></center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;probability</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Likelihood of event if available</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;statistics</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Statistical description of event</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;timeAfter</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Signal duration after</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;timeBefore</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Signal duration before</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
	</tbody>
    </table>
    
 <h2>Structure: History - FrHistory </h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;comment</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Post processing program name and comments</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;time</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Time of post processing</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
	</tbody>
    </table>  
    
  <h2>Structure: Message Log Data - FrMsg </h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;All variables</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;All message log data variables</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center><font color='red'>No</font></center></td>
		</tr>
	</tbody>
    </table> 
    
<h2>Structure: ProcData - FrProcData </h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;BW</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Resolution bandwidth</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;auxParam</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Auxiliary parameters</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center><font color='red'>No</font></center></td>
            </td>
		</td>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;auxParamNames</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;array of auxiliary parameter names</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center><font color='red'>No</font></center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;comment</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Comment</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;fRange</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Frequency range</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;fShift</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Frequency in original data that corresponds to 0 Hz in heterodyned series</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;nAuxParam</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Number of auxiliary params</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center><font color='red'>No</font></center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;phase</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Phase of heterodyning signal at start of dataset</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;subType</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Subtype for f-Series</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;tRange</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Duration of sampled data</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;timeOffset</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Offset of 1st sample to frame start time</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;type</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Type of data object</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
 	</tbody>
    </table> 
          
 <h2>Structure: Serial Data - SerData</h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;data</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Pointer to ascii string</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;sampleRate</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Sample rate</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;timeNSec</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Time of data acquisition, residual</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;timeSec</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Frame start time</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
	</tbody>
    </table>
    
<h2>Structure: Simulated Data - FrSimData</h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;comment</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Comment</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;fShift</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Frequency in original data that corresponds to 0 Hz in heterodyned series</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;phase</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Phase of heterodyning signal at start of dataset</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;sampleRate</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Simulated data sample rate</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;timeOffset</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Offset of 1st sample to frame start time</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center><font color='red'>No</font></center></td>
		</tr>
	</tbody>
    </table> 
    
<h2>Structure: Simulated Event Data - FrSimEvent</h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;GTimeS</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Maximum event time in GPS seconds</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;GTimeN</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;GPS Time in residual nanoseconds</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;amplitude</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Continuous output amplitude</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;comment</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Descriptor of event</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;inputs</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Input channels and filter parameters</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</td>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;nParam</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;Number of additional parameters</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center><font color='red'>No</font></center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;parameterNames</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Array of parameter names</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center><font color='red'>No</font></center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;parameters</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Array of additional event parameters</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center><font color='red'>No</font></center></td>
		</tr>
        <tr><!-- Second -->
            <!-- Accessor Name --><td bgcolor='#f2c622' width=200" >&nbsp;timeAfter</td>
            <!-- Description --><td bgcolor='#f2c622' width=700">&nbsp;&nbsp;Signal duration after in GPS</td>
            <!-- Accessible via ldas --><td bgcolor='#f2c622' width=80"><center>Yes</center></td>
		</tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;timeBefore</td>
            <!-- Description --><td bgcolor='#e6e288' width=400">&nbsp;&nbsp;Signal duration before in GPS</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><center>Yes</center></td>
		</tr>       
        
	</tbody>
    </table>  
 
<h2>Structure: Static Data  - FrStatData </h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200" >&nbsp;All variables</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;All static data variables</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><font color='red'><center><font color='red'>No</font></center></font></td>
		</tr>
	</tbody>
    </table>   

<h2>Structure: Summary  - FrSummary </h2>
    <table cellspacing="1" cellpadding="1" border="3" summary="" bordercolor='brown' width="900" cols='3'></center>
    <tbody class='tablebody'>
        <tr> <!-- Header -->
            <th>Accessor Name</th>
            <th>Description Summary</th>
            <th>Accessible via ldas</th>
        </tr>
        <tr><!-- First -->
            <!-- Accessor Name --><td bgcolor='#e6e288' width=200">&nbsp;All variables</td>
            <!-- Description --><td bgcolor='#e6e288' width=700">&nbsp;&nbsp;All summary variables</td>
            <!-- Accessible via ldas --><td bgcolor='#e6e288' width=80"><font color='red'><center><font color='red'>No</font></center></font></td>
		</tr>
	</tbody>
    </table>    

<p>
<p>
<p>You can access the frame structures and frame accessors via the ldas user command 
<a href='getFrameElements.html'>getFrameElements.</a><p> Using a test frame created
on ldas-dev, you can issue various types of queries to get the information.
<ol>
<li>An example of getting <i>Serial data</i> frame accessors:
<p>
<b>ldasJob</b> &nbsp;
<b>{ </b>
-name &nbsp; <i>"username"</i> &nbsp;
-password &nbsp; <i>"********"</i> &nbsp; 
-email &nbsp; <i>"user@foobar.edu"</i><b>}</b>&nbsp; 
<b>{<i> getFrameElements</i></b>&nbsp;  
-returnprotocol  &nbsp; <font color="red"> <i>"http://results"</i></font> &nbsp; 
-outputformat    &nbsp; <font color="red"> <i>{ ilwd ascii }</i></font> &nbsp; 
-framequery      &nbsp; <font color="red"> <i>{ R_std_test_frame_ver6 T {} 600000000-600000000 Event(1) }</i></font> &nbsp;
<b>}</b>
</ul><p>
Message from LDAS:
<pre><font color='purple'>
Your results:
results.ilwd
can be found at:
http://131.215.115.248/ldas_outgoing/jobs/LDAS-DEV_5495/LDAS-DEV54958901/

=========================================
'LDAS API'          'CLOCK TIME(seconds)'
=========================================
Wait Time(queue):                 2.06
ligolwAPI:                        0.10
datacondAPI:                      0.37
frameAPI:                         5.64
diskcacheAPI:                     0.97
managerAPI:                       0.31
-----------------------------------------
managerAPI(total):                7.40
=========================================

ldas-dev running LDAS version 1.8.0
</font></pre>
The contents of result.ilwd:
<pre><font color='purple'>
&lt;?ilwd?&gt;
&lt;ilwd comment='LDAS-DEV54958901 /scratch/test/frames/assorted/T-R_std_test_frame_ver6-600000000-1.gwf {getFrameSerData 0}'&gt;
    &lt;ilwd name='TesT::SerData:2:2:Frame' size='4';&gt;
        &lt;int_4u dims='2' name='time';&gt;2 2;&lt;/int_4u;&gt;
        &lt;real_4 name='sampleRate'&gt;1.0000000e+00&lt;/real_4&gt;
        &lt;lstring name='data' size='4';&gt;TesT&lt;/lstring&gt;
        &lt;real_8 name='dt'&gt;1.0000000000000000e+00&lt;/real_8&gt;
    &lt;/ilwd&gt;
&lt;/ilwd&gt;
</font></pre>
</li>
<li>An example of getting non-existent or unsupported frame accessors in framequery:
<p>query for the 2nd element of <i>Event</i> structure which does not exist.<p>
<b>ldasJob</b> &nbsp;
<b>{ </b>
-name &nbsp; <i>"username"</i> &nbsp;
-password &nbsp; <i>"********"</i> &nbsp; 
-email &nbsp; <i>"user@foobar.edu"</i><b>}</b>&nbsp; 
<b>{<i> getFrameElements</i></b>&nbsp;  
-returnprotocol  &nbsp; <font color="red"> <i>"http://results"</i></font> &nbsp; 
-outputformat    &nbsp; <font color="red"> <i>{ ilwd ascii }</i></font> &nbsp; 
-framequery      &nbsp; <font color="red"> <i>{ R_std_test_frame_ver6 T {} 600000000-600000000 Event(1) }</i></font> &nbsp;
<b>}</b>
</ul><p>
Message from LDAS:
<pre><font color='red'>
Subject:
LDAS-DEV54960395 error!
frame::runNewJob: frame::collectElements: {T-R_std_test_frame_ver6-600000000-1.gwf: frame::method2ptr: 1st try:
 'getFrameEvent(_00424068_p_FrameH 1): event_not_found' 2nd try: 'getFrameEvent(_00424068_p_FrameH): Wrong # args. :
 getFrameEvent frame eventName  argument 2' 3rd try: 'getFrameEvent(_00424068_p_FrameH 1): event_not_found' 4th try: 
 'getFrameEvent(_00424068_p_FrameH): Wrong # args. :getFrameEvent frame eventName  argument 2'}

=========================================
'LDAS API'          'CLOCK TIME(seconds)'
=========================================
Wait Time(queue):                 1.85
frameAPI:                        29.93 (ERROR)
diskcacheAPI:                     0.82
managerAPI:                       0.29
-----------------------------------------
managerAPI(total):               31.04
=========================================

ldas-dev running LDAS version 1.8.0
</font></pre>
</ol>
</i>                  
</BODY>

<!-- VI POWERED! -->

</HTML>
